Skip to main content
GET
/
api
/
Satistics
/
{takerAddress}
/
lockedAssets
Returns locked assets statistics for given address
curl --request GET \
  --url https://dln-api.debridge.finance/api/Satistics/{takerAddress}/lockedAssets
import requests

url = "https://dln-api.debridge.finance/api/Satistics/{takerAddress}/lockedAssets"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://dln-api.debridge.finance/api/Satistics/{takerAddress}/lockedAssets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "chainId": {
      "bytesValue": "aSDinaTvuI8gbWludGxpZnk=",
      "bytesArrayValue": "<string>",
      "bigIntegerValue": 123,
      "stringValue": "<string>"
    },
    "lockedTokens": [
      {
        "tokenAddress": {
          "Base64Value": "aSDinaTvuI8gbWludGxpZnk=",
          "bytesArrayValue": "<string>",
          "stringValue": "<string>"
        },
        "tokenMetadata": {
          "decimals": 123,
          "name": "<string>",
          "symbol": "<string>",
          "logoURI": "<string>"
        },
        "amount": 123,
        "tokenAmount": 123,
        "dstChainsLockedAmounts": [
          {
            "targetChainId": {
              "bytesValue": "aSDinaTvuI8gbWludGxpZnk=",
              "bytesArrayValue": "<string>",
              "bigIntegerValue": 123,
              "stringValue": "<string>"
            },
            "dstChainAmount": 123,
            "dstChainTokenAmount": 123,
            "ordersToUnlock": [
              {
                "bytesValue": "aSDinaTvuI8gbWludGxpZnk=",
                "bytesArrayValue": "<string>",
                "stringValue": "<string>"
              }
            ]
          }
        ]
      }
    ]
  }
]
{
"message": "<string>",
"errorCode": 123
}
{
"message": "<string>",
"errorCode": 123
}
{
"message": "<string>",
"errorCode": 123
}

Path Parameters

takerAddress
string
required

taker address [hex or base58]

Response

OK

chainId
object
lockedTokens
object[] | null